image: mcr.microsoft.com/dotnet/sdk:latest

stages:
    - build
    - test

before_script:  # change to source directory
    - cd src

build:          # build the project
    stage: build
    script:
        - dotnet build

lint:           # lint the source code
    stage: test
    script:
        - dotnet format LambdaTestFunction.csproj --verify-no-changes --no-restore

unittest:       # run unittests with .Net 5.0
    image: mcr.microsoft.com/dotnet/sdk:5.0
    stage: test
    script:
        - dotnet test --list-tests
        - dotnet test --no-restore --no-build